Subject: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Nov 2019 19:09:37 +0200

> Date: Mon, 18 Nov 2019 17:04:41 +0100
> From: Vincent Lefevre <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I've attached screenshots I had done on 2017-10-31 (it seems that
> I forgot to send them after my bug report).
> 
> This is a GNU Emacs 25 window obtained with
> 
>    emacs -Q -fn Mono-10 --geometry 80x16 box-drawing.txt
> 
> with libfreetype6 2.6.3-3.2 (emacs-263.png, what is expected) and
> 2.8.1-0.1 (emacs-281.png, buggy). The behavior with a GNU Emacs
> 27.0.50 snapshot from August 2019 and libfreetype6 2.10.1-2 seems
> identical to emacs-281.png (i.e. nothing has improved).
> 
> According to fc-match, Mono-10 corresponds to
> 
> DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
> 
> Other fonts show the same issue.

Thanks.

But now I'm not sure there's a bug here.  You evidently expect the
lines of the box-drawing characters to join without gaps, but I'm not
sure what this expectation is based on.  For example, Emacs on
MS-Windows doesn't use FreeType, but with a completely different font
I see the gaps here as well.  The fact that older versions of FreeType
produced different display doesn't yet mean that display was correct
and the current one isn't.

So I'm inclined to argue that there's no bug here.  What am I missing?